/***************************************************************************
                                broswer.cpp
			                    -------------------
    begin                : Mon Feb 9 2001
    copyright            : (C) 2000 by Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "browser.h"

/***************************************************************************
 * Constructor
 ***************************************************************************/
Browser::Browser(){
	browserChoice = 1;
	otherBrowser = "";
}

/***************************************************************************
 * Deconstructor
 ***************************************************************************/
Browser::~Browser(){
}

/***************************************************************************
 * Set the browser choice number
 ***************************************************************************/
void Browser::setBrowser(int choice){
  browserChoice = choice;
}

/***************************************************************************
 * Open the url that is passed through.
 ***************************************************************************/
void Browser::openURL(QString url){
  if (browserChoice == 1){
		system(QString("netscape -remote 'openURL (" + url + ", new-window)' &"));
    return;
	}
	if (browserChoice == 2){
	  system(otherBrowser + " " + url + " &");
		return;
	}
	printf("No Browser selected.\n");
}

// broswer.cpp
