/***************************************************************************
                                newpounceimp.h
                             -------------------
    begin                : Tuesday Nov 14 2000
    copyright            : (C) 2000 Benjamin Meyer 
    email                : benjamin@csh.rit.edu
 ***************************************************************************/

#ifndef NEWPOUNCEIMP_H
#define NEWPOUNCEIMP_H

#include <newpounce.h>
#include <qstring.h>

/**
  *@author Benjamin Meyer
  */

struct pounce{
  QString buddyName;
  bool signOn;
  bool returnAway;
  bool returnIdle;
  bool openChat;
  bool sendMessage;
  QString message;
	bool execCommand;
	QString command;
	bool doNotRemove;
  int menuId;
};

class NewPounceImp : public NewPounce  {

Q_OBJECT
	
signals:
  void addPounce(pounce newPounce);

public:
  NewPounceImp(QWidget *parent=0, const char *name=0, QString pounceName=0);
  ~NewPounceImp();
  void setPounce(pounce *newpounce);

private slots:
  void verify();	
  void cancelAndClose();

};

#endif

// NewPounceImp.h
