/****************************************************************************
** Form implementation generated from reading ui file 'toolbars.ui'
**
** Created: Tue Nov 28 09:02:23 2000
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "chattoolbaroptions.h"

#include <qcheckbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a ChatToolbarsOptions which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ChatToolbarsOptions::ChatToolbarsOptions( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ChatToolbarsOptions" );
    resize( 348, 458 ); 
    setCaption( tr( "Kaim - Chat Toolbar Options"  ) );
    setSizeGripEnabled( TRUE );
    vbox = new QVBoxLayout( this ); 
    vbox->setSpacing( 6 );
    vbox->setMargin( 11 );

    vbox_2 = new QVBoxLayout; 
    vbox_2->setSpacing( 6 );
    vbox_2->setMargin( 0 );

    hbox = new QHBoxLayout; 
    hbox->setSpacing( 6 );
    hbox->setMargin( 0 );

    chat_view_text = new QCheckBox( this, "chat_view_text" );
    chat_view_text->setText( tr( "View Text Toolbar"  ) );
    QWhatsThis::add(  chat_view_text, tr( "Any buttons that are selected in the \"Text Tool Bar\" list are shown in here." ) );
    hbox->addWidget( chat_view_text );

    chat_text_loc = new QComboBox( FALSE, this, "chat_text_loc" );
    chat_text_loc->insertItem( tr( "Top" ) );
    chat_text_loc->insertItem( tr( "Right" ) );
    chat_text_loc->insertItem( tr( "Bottom" ) );
    chat_text_loc->insertItem( tr( "Left" ) );
    hbox->addWidget( chat_text_loc );
    vbox_2->addLayout( hbox );

    hbox_2 = new QHBoxLayout; 
    hbox_2->setSpacing( 6 );
    hbox_2->setMargin( 0 );

    chat_view_chat = new QCheckBox( this, "chat_view_chat" );
    chat_view_chat->setText( tr( "View Chat Toolbar"  ) );
    QWhatsThis::add(  chat_view_chat, tr( "Any buttons that are selected in the \"Chat Tool Bar\" list are shown in here." ) );
    hbox_2->addWidget( chat_view_chat );

    chat_chat_loc = new QComboBox( FALSE, this, "chat_chat_loc" );
    chat_chat_loc->insertItem( tr( "Top" ) );
    chat_chat_loc->insertItem( tr( "Right" ) );
    chat_chat_loc->insertItem( tr( "Bottom" ) );
    chat_chat_loc->insertItem( tr( "Left" ) );
    hbox_2->addWidget( chat_chat_loc );
    vbox_2->addLayout( hbox_2 );

    hbox_3 = new QHBoxLayout; 
    hbox_3->setSpacing( 6 );
    hbox_3->setMargin( 0 );

    chat_view_preview = new QCheckBox( this, "chat_view_preview" );
    chat_view_preview->setText( tr( "View Preview Toolbar"  ) );
    QWhatsThis::add(  chat_view_preview, tr( "The preview toolbar gives an example of what the current background color, text color, and size look like." ) );
    hbox_3->addWidget( chat_view_preview );

    chat_prev_loc = new QComboBox( FALSE, this, "chat_prev_loc" );
    chat_prev_loc->insertItem( tr( "Top" ) );
    chat_prev_loc->insertItem( tr( "Right" ) );
    chat_prev_loc->insertItem( tr( "Bottom" ) );
    chat_prev_loc->insertItem( tr( "Left" ) );
    hbox_3->addWidget( chat_prev_loc );
    vbox_2->addLayout( hbox_3 );
    vbox->addLayout( vbox_2 );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    vbox->addItem( spacer );

    hbox_4 = new QHBoxLayout; 
    hbox_4->setSpacing( 6 );
    hbox_4->setMargin( 0 );

    TextGroupBox = new QGroupBox( this, "TextGroupBox" );
    TextGroupBox->setTitle( tr( "Text Tool Bar"  ) );
    TextGroupBox->setColumnLayout(0, Qt::Vertical );
    TextGroupBox->layout()->setSpacing( 0 );
    TextGroupBox->layout()->setMargin( 0 );
    vbox_3 = new QVBoxLayout( TextGroupBox->layout() );
    vbox_3->setAlignment( Qt::AlignTop );
    vbox_3->setSpacing( 6 );
    vbox_3->setMargin( 11 );

    chat_text_bold = new QCheckBox( TextGroupBox, "chat_text_bold" );
    chat_text_bold->setText( tr( "Bold"  ) );
    QWhatsThis::add(  chat_text_bold, tr( "Insert Bold html into the input box." ) );
    vbox_3->addWidget( chat_text_bold );

    chat_text_italic = new QCheckBox( TextGroupBox, "chat_text_italic" );
    chat_text_italic->setText( tr( "Italic"  ) );
    QWhatsThis::add(  chat_text_italic, tr( "Insert italic html into the input box." ) );
    vbox_3->addWidget( chat_text_italic );

    chat_text_underline = new QCheckBox( TextGroupBox, "chat_text_underline" );
    chat_text_underline->setText( tr( "Underline"  ) );
    QWhatsThis::add(  chat_text_underline, tr( "Insert Underline html into the input box." ) );
    vbox_3->addWidget( chat_text_underline );
    QSpacerItem* spacer_2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    vbox_3->addItem( spacer_2 );

    chat_text_fontdown = new QCheckBox( TextGroupBox, "chat_text_fontdown" );
    chat_text_fontdown->setText( tr( "Font Down"  ) );
    QWhatsThis::add(  chat_text_fontdown, tr( "Decrease the sending font size by 1." ) );
    vbox_3->addWidget( chat_text_fontdown );

    chat_text_fontnorm = new QCheckBox( TextGroupBox, "chat_text_fontnorm" );
    chat_text_fontnorm->setText( tr( "Font Normal"  ) );
    QWhatsThis::add(  chat_text_fontnorm, tr( "Set the sending font size back to normal." ) );
    vbox_3->addWidget( chat_text_fontnorm );

    chat_text_fontup = new QCheckBox( TextGroupBox, "chat_text_fontup" );
    chat_text_fontup->setText( tr( "Font Up"  ) );
    QWhatsThis::add(  chat_text_fontup, tr( "Increase the sending font size by 1." ) );
    vbox_3->addWidget( chat_text_fontup );
    QSpacerItem* spacer_3 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    vbox_3->addItem( spacer_3 );

    chat_text_bgcolor = new QCheckBox( TextGroupBox, "chat_text_bgcolor" );
    chat_text_bgcolor->setText( tr( "Background Color"  ) );
    QWhatsThis::add(  chat_text_bgcolor, tr( "Select a new background color." ) );
    vbox_3->addWidget( chat_text_bgcolor );

    chat_text_textcolor = new QCheckBox( TextGroupBox, "chat_text_textcolor" );
    chat_text_textcolor->setText( tr( "Text Color"  ) );
    QWhatsThis::add(  chat_text_textcolor, tr( "Select a new color for the text." ) );
    vbox_3->addWidget( chat_text_textcolor );

    chat_text_link = new QCheckBox( TextGroupBox, "chat_text_link" );
    chat_text_link->setText( tr( "Link"  ) );
    QWhatsThis::add(  chat_text_link, tr( "Insert the link html into the input box." ) );
    vbox_3->addWidget( chat_text_link );
    QSpacerItem* spacer_4 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    vbox_3->addItem( spacer_4 );
    hbox_4->addWidget( TextGroupBox );

    ChatGroupBox = new QGroupBox( this, "ChatGroupBox" );
    ChatGroupBox->setTitle( tr( "Chat Tool Bar"  ) );
    ChatGroupBox->setColumnLayout(0, Qt::Vertical );
    ChatGroupBox->layout()->setSpacing( 0 );
    ChatGroupBox->layout()->setMargin( 0 );
    vbox_4 = new QVBoxLayout( ChatGroupBox->layout() );
    vbox_4->setAlignment( Qt::AlignTop );
    vbox_4->setSpacing( 6 );
    vbox_4->setMargin( 11 );

    chat_chat_clear = new QCheckBox( ChatGroupBox, "chat_chat_clear" );
    chat_chat_clear->setText( tr( "Clear"  ) );
    QWhatsThis::add(  chat_chat_clear, tr( "Clear the log of the chat so far." ) );
    vbox_4->addWidget( chat_chat_clear );

    chat_chat_save = new QCheckBox( ChatGroupBox, "chat_chat_save" );
    chat_chat_save->setText( tr( "Save"  ) );
    QWhatsThis::add(  chat_chat_save, tr( "Save the current conversation." ) );
    vbox_4->addWidget( chat_chat_save );

    chat_chat_print = new QCheckBox( ChatGroupBox, "chat_chat_print" );
    chat_chat_print->setText( tr( "Print"  ) );
    QWhatsThis::add(  chat_chat_print, tr( "Print out the current conversation." ) );
    vbox_4->addWidget( chat_chat_print );
    QSpacerItem* spacer_5 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    vbox_4->addItem( spacer_5 );

    chat_chat_time = new QCheckBox( ChatGroupBox, "chat_chat_time" );
    chat_chat_time->setText( tr( "Time"  ) );
    QWhatsThis::add(  chat_chat_time, tr( "Turn on and off time in the conversation window." ) );
    vbox_4->addWidget( chat_chat_time );

    chat_chat_log = new QCheckBox( ChatGroupBox, "chat_chat_log" );
    chat_chat_log->setText( tr( "Log"  ) );
    QWhatsThis::add(  chat_chat_log, tr( "Turn logging on and off." ) );
    vbox_4->addWidget( chat_chat_log );

    chat_chat_sound = new QCheckBox( ChatGroupBox, "chat_chat_sound" );
    chat_chat_sound->setText( tr( "Sound"  ) );
    QWhatsThis::add(  chat_chat_sound, tr( "Turn sound on and off." ) );
    vbox_4->addWidget( chat_chat_sound );
    QSpacerItem* spacer_6 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    vbox_4->addItem( spacer_6 );

    chat_chat_addremove = new QCheckBox( ChatGroupBox, "chat_chat_addremove" );
    chat_chat_addremove->setText( tr( "Add/Remove"  ) );
    QWhatsThis::add(  chat_chat_addremove, tr( "Add or remove a buddy from your buddy list." ) );
    vbox_4->addWidget( chat_chat_addremove );

    chat_chat_warn = new QCheckBox( ChatGroupBox, "chat_chat_warn" );
    chat_chat_warn->setText( tr( "Warn"  ) );
    QWhatsThis::add(  chat_chat_warn, tr( "Warn the buddy." ) );
    vbox_4->addWidget( chat_chat_warn );

    chat_chat_info = new QCheckBox( ChatGroupBox, "chat_chat_info" );
    chat_chat_info->setText( tr( "Info"  ) );
    QWhatsThis::add(  chat_chat_info, tr( "Get information about the buddy." ) );
    vbox_4->addWidget( chat_chat_info );

    chat_chat_block = new QCheckBox( ChatGroupBox, "chat_chat_block" );
    chat_chat_block->setText( tr( "Block"  ) );
    QWhatsThis::add(  chat_chat_block, tr( "Block the buddy from your buddy list." ) );
    vbox_4->addWidget( chat_chat_block );
    hbox_4->addWidget( ChatGroupBox );
    vbox->addLayout( hbox_4 );

    hbox_5 = new QHBoxLayout; 
    hbox_5->setSpacing( 6 );
    hbox_5->setMargin( 0 );
    QSpacerItem* spacer_7 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    hbox_5->addItem( spacer_7 );

    buttonApply = new QPushButton( this, "buttonApply" );
    buttonApply->setText( tr( "&Apply"  ) );
    buttonApply->setAutoDefault( TRUE );
    hbox_5->addWidget( buttonApply );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setText( tr( "&OK"  ) );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    hbox_5->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setText( tr( "&Cancel"  ) );
    buttonCancel->setAutoDefault( TRUE );
    hbox_5->addWidget( buttonCancel );
    vbox->addLayout( hbox_5 );

    // signals and slots connections
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( chat_view_text, SIGNAL( toggled(bool) ), chat_text_loc, SLOT( setEnabled(bool) ) );
    connect( chat_view_chat, SIGNAL( toggled(bool) ), chat_chat_loc, SLOT( setEnabled(bool) ) );
    connect( chat_view_preview, SIGNAL( toggled(bool) ), chat_prev_loc, SLOT( setEnabled(bool) ) );
    connect( buttonApply, SIGNAL( clicked() ), this, SLOT( updateData() ) );
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( updateData() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
ChatToolbarsOptions::~ChatToolbarsOptions()
{
    // no need to delete child widgets, Qt does it all for us
}

void ChatToolbarsOptions::updateData()
{
    qWarning( "ChatToolbarsOptions::updateData(): Not implemented yet!" );
}

