/***************************************************************************
                          resource.h  -  description
                             -------------------
    begin                : Mon May  8 23:00:57 EDT 2000
    copyright            : (C) 2000 by Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef RESOURCE_H
#define RESOURCE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


/*****************************************************************/
// resource.h  -- contains macros used for commands


/*****************************************************************/
// COMMAND VALUES FOR MENUBAR AND TOOLBAR ENTRIES


/*****************************************************************/
// File-menu entries
#define ID_FILE_LOG                 10010
#define ID_FILE_SOUND               10020
#define ID_FILE_CLEAR               10030
#define ID_FILE_OPEN                10040
#define ID_FILE_SAVE_AS             10050
#define ID_FILE_CLOSE               10060
#define ID_FILE_PRINT               10070

/*****************************************************************/
// Edit-menu entries
#define ID_EDIT_UNDO                11010
#define ID_EDIT_REDO                11020
#define ID_EDIT_COPY                11030
#define ID_EDIT_CUT                 11040
#define ID_EDIT_PASTE               11050
#define ID_EDIT_SELECT_ALL          11060

/*****************************************************************/
// View-menu entries
#define ID_VIEW_TIME                12010
#define ID_VIEW_CHATTOOLBAR         12020
#define ID_VIEW_TEXTTOOLBAR         12030
#define ID_VIEW_PREVIEWTOOLBAR      12040

/*****************************************************************/
// Insert-menu entries
#define ID_INSERT_BOLD              13010
#define ID_INSERT_ITALIC            13020
#define ID_INSERT_UNDERLINE         13030
#define ID_INSERT_STRIKE            13040
#define ID_INSERT_FONTSMALL         13050
#define ID_INSERT_FONTNORM          13060
#define ID_INSERT_FONTBIG           13070
#define ID_INSERT_BACCOLOR          13080
#define ID_INSERT_PENCOLOR          13090
#define ID_INSERT_LINK              13100
#define ID_INSERT_LASTMESSAGE       13110

/*****************************************************************/
// Buudy-menu entries
#define ID_BUDDY_SEND               14010
#define ID_BUDDY_INFO               14020
#define ID_BUDDY_WARN               14030
#define ID_BUDDY_REMOVE             14040
#define ID_BUDDY_BLOCK              14050


/*****************************************************************/
// Help-menu entries
#define ID_HELP_ABOUT               1002

/*****************************************************************/
// General application values
#define IDS_APP_ABOUT               "Kaim\nVersion  1.0" \
                                    "\n(c) 2000 by Benjamin Meyer"

#define APP_NAME                    "Kaim"
#define APP_LOWERCASE_NAME          "kaim"

#endif

// RESOURCE_H
