/***************************************************************************
                          			 editbox.cpp
                             -------------------
    begin                : Fri Feb 25 2000
    copyright            : (C) 2000 by Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "editbox.h"

/***************************************************************************
 * Constructor
 ***************************************************************************/
EditBox::EditBox(QWidget *parent, const char *name ) : QLineEdit(parent,name) {
  focus = 0;
}

/***************************************************************************
 * Deconstructor
 ***************************************************************************/
EditBox::~EditBox(){
}

/***************************************************************************
 * Overrides the default action of QEditLine  Hides this window.
 ***************************************************************************/
void EditBox::focusOutEvent( QFocusEvent * ){
  emit returnPressed();
  if (focus == 1){
    this->hide();
    focus = 0;
  }
  else
    focus++;
}

#include "editbox.moc"
// editbox.cpp

