/***************************************************************************
                         				 editbox.h
                             -------------------
    begin                : Fri Feb 25 2000
    copyright            : (C) 2000 by Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef EDITBOX_H
#define EDITBOX_H

#include <qwidget.h>
#include <qlineedit.h>
#include <qevent.h>

/**
  *@author Benjamin Meyer
  */

class EditBox : public QLineEdit {
  Q_OBJECT

  //signals:
    //void returnPressed();
  
  public:
    EditBox(QWidget *parent=0, const char *name=0);
    ~EditBox();
    int focus;
	
  protected:	
    void focusOutEvent ( QFocusEvent * );

};
#endif
// editbox.h

