/***************************************************************************
                              kaimtextbrowser.h  
                             -------------------
    begin                : Sun Nov 28 2000
    copyright            : (C) 2000 by Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/


#ifndef KAIMTEXTBROWSER_H
#define KAIMTEXTBROWSER_H

#include <qstring.h>
#include <qtextbrowser.h>
#include <qpopupmenu.h>

class KaimTextBrowser : public QTextBrowser
{
  Q_OBJECT 
  public:
    KaimTextBrowser(QWidget *parent=0, const char *name=0 );
    ~KaimTextBrowser();
    bool copyURL;
	private:
	  QPopupMenu *URLRightClick;
		QMouseEvent *URLMouseEvent;
		
		QMouseEvent *URLMouseEventPress;
		QMouseEvent *URLMouseEventRelease;
					
		bool testing;
		QPoint tempPointGlobal;
		QPoint tempPointPos;

	private slots:
		void slotRightClick_Copy();
    void slotRightClick_Open();	
  signals:
    void gotoURL(QString url);	
  protected:
    void setSource(const QString& name);
    void viewportMouseMoveEvent( QMouseEvent* e);
    void viewportMousePressEvent(QMouseEvent* event);
};

#endif

// kaimtextbrowser.h

