/***************************************************************************
                           profileoptionsimp.cpp
                             -------------------
    begin                : Tuesday Jan 31 2001
    copyright            : (C) 2001 Benjamin Meyer
    email                : benjamin@csh.rit.edu
 ***************************************************************************/


#include "profileoptionsimp.h"
#include <qlineedit.h>

/******************************************************************************
 * Constructor
 ******************************************************************************/
ProfileOptionsImp::ProfileOptionsImp(QWidget *parent, const char *name, settings *aimSettings) : ProfileOptions( parent,name,false ){
  i_aimSettings = aimSettings;
}

/******************************************************************************
 * Deconstructor
 ******************************************************************************/
ProfileOptionsImp::~ProfileOptionsImp(){
}

/******************************************************************************
 * Copy the settings to the dialogs
 ******************************************************************************/
void ProfileOptionsImp::updateData(){
	profile_edit->setText(i_aimSettings->profile->text());
}

/******************************************************************************
 * Copy the settings to the dialogs
 ******************************************************************************/
void ProfileOptionsImp::getData(){
  i_aimSettings->profile->setText(profile_edit->text());
}

// ProfileOptionsImp.cpp
