/****************************************************************************
** Form implementation generated from reading ui file 'soundoptions.ui'
**
** Created: Thu Feb 1 05:35:32 2001
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "soundoptions.h"

#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a SoundOptions which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
SoundOptions::SoundOptions( QWidget* parent,  const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SoundOptions" );
    resize( 584, 480 ); 
    setCaption( tr( "Kaim - Sound Options" ) );
    SoundOptionsLayout = new QVBoxLayout( this ); 
    SoundOptionsLayout->setSpacing( 6 );
    SoundOptionsLayout->setMargin( 11 );

    SoundModeButtonGroup = new QButtonGroup( this, "SoundModeButtonGroup" );
    SoundModeButtonGroup->setTitle( tr( "Sound Mode" ) );
    SoundModeButtonGroup->setColumnLayout(0, Qt::Vertical );
    SoundModeButtonGroup->layout()->setSpacing( 0 );
    SoundModeButtonGroup->layout()->setMargin( 0 );
    SoundModeButtonGroupLayout = new QVBoxLayout( SoundModeButtonGroup->layout() );
    SoundModeButtonGroupLayout->setAlignment( Qt::AlignTop );
    SoundModeButtonGroupLayout->setSpacing( 6 );
    SoundModeButtonGroupLayout->setMargin( 11 );

    mode_soundcard = new QRadioButton( SoundModeButtonGroup, "mode_soundcard" );
    mode_soundcard->setText( tr( "Use play command for sound" ) );
    SoundModeButtonGroupLayout->addWidget( mode_soundcard );

    mode_beep = new QRadioButton( SoundModeButtonGroup, "mode_beep" );
    mode_beep->setText( tr( "Use system beeps" ) );
    SoundModeButtonGroupLayout->addWidget( mode_beep );

    mode_nosound = new QRadioButton( SoundModeButtonGroup, "mode_nosound" );
    mode_nosound->setText( tr( "No Sound" ) );
    mode_nosound->setChecked( TRUE );
    SoundModeButtonGroupLayout->addWidget( mode_nosound );
    SoundOptionsLayout->addWidget( SoundModeButtonGroup );

    SoundsGroupBox = new QGroupBox( this, "SoundsGroupBox" );
    SoundsGroupBox->setTitle( tr( "Sounds" ) );
    SoundsGroupBox->setColumnLayout(0, Qt::Vertical );
    SoundsGroupBox->layout()->setSpacing( 0 );
    SoundsGroupBox->layout()->setMargin( 0 );
    SoundsGroupBoxLayout = new QVBoxLayout( SoundsGroupBox->layout() );
    SoundsGroupBoxLayout->setAlignment( Qt::AlignTop );
    SoundsGroupBoxLayout->setSpacing( 6 );
    SoundsGroupBoxLayout->setMargin( 11 );

    Layout6 = new QHBoxLayout; 
    Layout6->setSpacing( 6 );
    Layout6->setMargin( 0 );

    sound_enable_login = new QCheckBox( SoundsGroupBox, "sound_enable_login" );
    sound_enable_login->setText( tr( "Buddy Login" ) );
    Layout6->addWidget( sound_enable_login );

    sound_file_login = new QLineEdit( SoundsGroupBox, "sound_file_login" );
    Layout6->addWidget( sound_file_login );

    sound_browse_login = new QPushButton( SoundsGroupBox, "sound_browse_login" );
    sound_browse_login->setText( tr( "Browse..." ) );
    Layout6->addWidget( sound_browse_login );
    SoundsGroupBoxLayout->addLayout( Layout6 );

    Layout7 = new QHBoxLayout; 
    Layout7->setSpacing( 6 );
    Layout7->setMargin( 0 );

    sound_enable_logout = new QCheckBox( SoundsGroupBox, "sound_enable_logout" );
    sound_enable_logout->setText( tr( "Buddy Logout" ) );
    Layout7->addWidget( sound_enable_logout );

    sound_file_logout = new QLineEdit( SoundsGroupBox, "sound_file_logout" );
    Layout7->addWidget( sound_file_logout );

    sound_browse_logout = new QPushButton( SoundsGroupBox, "sound_browse_logout" );
    sound_browse_logout->setText( tr( "Browse..." ) );
    Layout7->addWidget( sound_browse_logout );
    SoundsGroupBoxLayout->addLayout( Layout7 );

    Layout8 = new QHBoxLayout; 
    Layout8->setSpacing( 6 );
    Layout8->setMargin( 0 );

    sound_enable_initial = new QCheckBox( SoundsGroupBox, "sound_enable_initial" );
    sound_enable_initial->setText( tr( "Initial Message" ) );
    sound_enable_initial->setChecked( TRUE );
    Layout8->addWidget( sound_enable_initial );

    sound_file_initial = new QLineEdit( SoundsGroupBox, "sound_file_initial" );
    Layout8->addWidget( sound_file_initial );

    sound_browse_initial = new QPushButton( SoundsGroupBox, "sound_browse_initial" );
    sound_browse_initial->setText( tr( "Browse..." ) );
    Layout8->addWidget( sound_browse_initial );
    SoundsGroupBoxLayout->addLayout( Layout8 );

    Layout9 = new QHBoxLayout; 
    Layout9->setSpacing( 6 );
    Layout9->setMargin( 0 );

    sound_enable_send = new QCheckBox( SoundsGroupBox, "sound_enable_send" );
    sound_enable_send->setText( tr( "Send Message" ) );
    Layout9->addWidget( sound_enable_send );

    sound_file_send = new QLineEdit( SoundsGroupBox, "sound_file_send" );
    Layout9->addWidget( sound_file_send );

    sound_browse_send = new QPushButton( SoundsGroupBox, "sound_browse_send" );
    sound_browse_send->setText( tr( "Browse..." ) );
    Layout9->addWidget( sound_browse_send );
    SoundsGroupBoxLayout->addLayout( Layout9 );

    Layout10 = new QHBoxLayout; 
    Layout10->setSpacing( 6 );
    Layout10->setMargin( 0 );

    sound_enable_receive = new QCheckBox( SoundsGroupBox, "sound_enable_receive" );
    sound_enable_receive->setText( tr( "Receive Message" ) );
    Layout10->addWidget( sound_enable_receive );

    sound_file_receive = new QLineEdit( SoundsGroupBox, "sound_file_receive" );
    Layout10->addWidget( sound_file_receive );

    sound_browse_receive = new QPushButton( SoundsGroupBox, "sound_browse_receive" );
    sound_browse_receive->setText( tr( "Browse..." ) );
    Layout10->addWidget( sound_browse_receive );
    SoundsGroupBoxLayout->addLayout( Layout10 );
    SoundOptionsLayout->addWidget( SoundsGroupBox );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SoundOptionsLayout->addItem( spacer );

    // signals and slots connections
    connect( mode_nosound, SIGNAL( toggled(bool) ), SoundsGroupBox, SLOT( setDisabled(bool) ) );
    connect( mode_beep, SIGNAL( toggled(bool) ), sound_file_login, SLOT( setDisabled(bool) ) );
    connect( mode_beep, SIGNAL( toggled(bool) ), sound_file_logout, SLOT( setDisabled(bool) ) );
    connect( mode_beep, SIGNAL( toggled(bool) ), sound_file_initial, SLOT( setDisabled(bool) ) );
    connect( mode_beep, SIGNAL( toggled(bool) ), sound_file_send, SLOT( setDisabled(bool) ) );
    connect( mode_beep, SIGNAL( toggled(bool) ), sound_file_receive, SLOT( setDisabled(bool) ) );
    connect( mode_beep, SIGNAL( toggled(bool) ), sound_browse_login, SLOT( setDisabled(bool) ) );
    connect( mode_beep, SIGNAL( toggled(bool) ), sound_browse_initial, SLOT( setDisabled(bool) ) );
    connect( mode_beep, SIGNAL( toggled(bool) ), sound_browse_receive, SLOT( setDisabled(bool) ) );
    connect( mode_beep, SIGNAL( toggled(bool) ), sound_browse_send, SLOT( setDisabled(bool) ) );
    connect( mode_beep, SIGNAL( toggled(bool) ), sound_browse_logout, SLOT( setDisabled(bool) ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
SoundOptions::~SoundOptions()
{
    // no need to delete child widgets, Qt does it all for us
}

